%define expat_version           1.95.5
%define glib2_version           2.6.0
%define dbus_version            0.90
%define dbus_glib_version	0.70
%define dbus_python_version	0.70
%define pygtk2			2.0.0
%define gnome_python2		2.0.0
%define udev_version            089-1
%define util_linux_version      2.12a-16
%define initscripts_version     8.04-1
%define kernel_version          2.6.17
%define gettext_version	        0.14.1-14
%define libusb_version          0.1.10a-1
%define pciutils_version        2.2.1
%define dmidecode_version       2.7
%define cryptsetup_luks_version 1.0.1-2
%define pm_utils_version        0.99.3-6
%define gtk_doc_version         1.4
%define gperf_version           3.0.1

%define hal_user_uid           68

Summary: Hardware Abstraction Layer
Name: hal
Version: 0.5.8.1
Release: 38.1%{?dist}
URL: http://www.freedesktop.org/Software/hal
Source0: %{name}-%{version}.tar.gz
Source1: 99-redhat-storage-policy-fixed-drives.fdi
#modified for Asianux
Source2: hal-device-manager.desktop
# RHEL5 quirks
Source50: 20-video-quirk-pm-el5-ibm.fdi
Source51: 20-video-quirk-pm-el5-lenovo.fdi
Source52: 20-video-quirk-pm-el5-dell.fdi
Source53: 21-video-quirk-pm-el5-nvidia.fdi
# Imported from hal-info-20070625
# (NOTE: currently disabled as they are F7 specific and not all work on EL5)
#Source100: 20-video-quirk-pm-acer.fdi
#Source101: 20-video-quirk-pm-apple.fdi
#Source102: 20-video-quirk-pm-asus.fdi
#Source103: 20-video-quirk-pm-dell.fdi
#Source104: 20-video-quirk-pm-fujitsu.fdi
#Source105: 20-video-quirk-pm-hp.fdi
#Source106: 20-video-quirk-pm-ibm.fdi
#Source107: 20-video-quirk-pm-lenovo.fdi
#Source108: 20-video-quirk-pm-misc.fdi
#Source109: 20-video-quirk-pm-sony.fdi
#Source110: 20-video-quirk-pm-toshiba.fdi

# Imported from hal-info-20080508
Source150: 30-keymap-acer.fdi
Source151: 30-keymap-compaq.fdi
Source152: 30-keymap-dell.fdi
Source153: 30-keymap-hp.fdi
Source154: 30-keymap-lenovo.fdi
Source155: 30-keymap-misc.fdi

# Imported from hal
Source160: 10-keymap.fdi

Patch0: hal-0.5.8.1-stat-devicefile-not-mountpoint.patch
Patch1: hal-0.5.8.1-dont-crash-on-cdrom-drives.patch
Patch2: hal-0.5.8.1-fixppc.patch
Patch3: hal-0.5.8.1-fedora-eject.patch
Patch4: hal-0.5.8.1-partutil-fix.patch
Patch5: hal-alignment.patch
Patch6: hal-0.5.8.1-remove-link-not-remove.patch
Patch7: hal-0.5.8.1-powermgmt-output-4.patch
Patch8: hal-0.5.8.1-partutil-alignment.patch
Patch9: hal-0.5.8.1-ups-leak.patch
Patch10: hal-0.5.8.1-predictable-permissions.patch
Patch11: hal-0.5.8.1-ibm-vio.patch
Patch12: hal-0.5.8.1-ibmebus.patch
Patch13: hal-0.5.8.1-backport-system-pm-keys.patch
Patch14: hal-0.5.8.1-backport-fdi-expr.patch
Patch15: hal-0.5.8.1-backport-pass-quirks.patch
Patch16: hal-0.5.8.1-avoid-recursion.patch
Patch17: hal-0.5.8.1-report-primary-video.patch
Patch18: hal-0.5.8.1-quirk-none.patch
Patch19: hal-0.5.8.1-retain-privileges.patch
Patch20: hal-0.5.8.1-silence-lshal-error.patch
Patch21: hal-0.5.8.1-ccw-typo.patch
Patch22: hal-0.5.8.1-nocpufreq.patch
Patch23: hal-0.5.8.1-vbus.patch
Patch24: hal-0.5.8.1-add-fdi-outof.patch
Patch25: hal-0.5.8.1-keymap-ioctl.patch

#Asianux patch
Patch100 : hal-0.5.8.1-default_mount_option.patch

License: AFL/GPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root
PreReq: chkconfig
BuildRequires: expat-devel >= %{expat_version}
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: dbus-devel  >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: python-devel
BuildRequires: hwdata
BuildRequires: gettext >= %{gettext_version}
BuildRequires: dbus-glib >= %{dbus_glib_version}
BuildRequires: perl-XML-Parser
BuildRequires: desktop-file-utils >= 0.9
BuildRequires: gtk-doc >= %{gtk_doc_version}
BuildRequires: libvolume_id-devel >= %{udev_version} 
BuildRequires: pciutils-devel >= %{pciutils_version}
BuildRequires: libtool automake autoconf intltool
BuildRequires: coreutils sed
# for xmllint
BuildRequires: libxml2
BuildRequires: gperf >= %{gperf_version}

%ifnarch s390 s390x
BuildRequires: libusb-devel >= %{libusb_version}
%endif
Requires: dbus >= %{dbus_version}
Requires: dbus-glib >= %{dbus_glib_version}
Requires: glib2 >= %{glib2_version}
Requires: udev >= %{udev_version} 
Requires: libvolume_id >= %{udev_version} 
Requires: util-linux >= %{util_linux_version} 
Requires: initscripts >= %{initscripts_version}
Requires: cryptsetup-luks >= %{cryptsetup_luks_version}
%ifnarch s390 s390x
Requires: pm-utils >= %{pm_utils_version}
%endif 
Conflicts: kernel < %{kernel_version}
%ifnarch s390 s390x
Requires: libusb >= %{libusb_version}
%endif
%ifarch %{ix86} x86_64
Requires: dmidecode >= %{dmidecode_version}
%endif

%description

HAL is daemon for collection and maintaining information from several
sources about the hardware on the system. It provides a live device
list through D-BUS.

%package gnome
Summary: GNOME based device manager for HAL
Group: Development/Libraries
Requires: %name = %{version}-%{release}
Requires: dbus-python >= %{dbus_python_version}
Requires: pygtk2 >= %{pygtk2} 
Requires: gnome-python2 >= %{gnome_python2} 

%description gnome
GNOME program for displaying the devices detected by HAL


%package devel
Summary: Libraries and headers for HAL
Group: Development/Libraries
Requires: %name = %{version}-%{release}
Requires: dbus-devel >= %{dbus_version}

%description devel

Headers, static libraries and API docs for HAL.

%prep
%setup -q
%patch0 -p1 -b .stat-device-file-not-mountpoint
%patch1 -p1 -b .dont-crash-on-cdrom-drives
%patch2 -p1 -b .ppc-fixes
%patch3 -p0 -b .fedora-eject
%patch4 -p1 -b .partutil-fix
%patch5 -p1 -b .alignment
%patch6 -p1 -b .link
%patch7 -p1 -b .powermgmt-output
%patch8 -p1 -b .alignment2
%patch9 -p1 -b .ups-leak
%patch10 -p1 -b .predictable-permissions
%patch11 -p1 -b .ibm-vio
%patch12 -p1 -b .ibm-ebus
%patch13 -p0 -b .backport-system-pm-keys
%patch14 -p0 -b .backport-fdi-expr
%patch15 -p0 -b .backport-pass-quirks
%patch16 -p1 -b .avoid-recursion
%patch17 -p0 -b .report-primary-video
%patch18 -p1 -b .quirk-none
%patch19 -p1 -b .retain-privs
%patch20 -p1 -b .silence-lshal-error
%patch21 -p1 -b .ccw-typo
%patch22 -p1 -b .nocpufreq
%patch23 -p1 -b .vbus
%patch24 -p1 -b .add-fdi-outof
%patch25 -p1 -b .keymap-ioctl

%patch100 -p1

%build
autoreconf
%configure --disable-docbook-docs --with-os-type=redhat --disable-policy-kit --with-keymaps
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

# huh, --disable-gtk-doc right now craps out the builds (can't find
# pkg-config or some .pc files and it works on my box) so be brutal
# and just purge the installed docs to "fix" bug 212289. Added a
# note in upstream TODO list to investigate this
rm -rf $RPM_BUILD_ROOT%{_datadir}/gtk-doc

cp -f %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hal/fdi/policy/10osvendor/`basename %{SOURCE1} | sed 's/redhat/asianux/g'`

# check that backported sleep quirk fdi files are valid
xmllint --noout --dtdvalid $RPM_BUILD_ROOT%{_datadir}/hal/fdi/fdi.dtd \
%{SOURCE50} \
%{SOURCE51} \
%{SOURCE52}
#  %{SOURCE100} \
#  %{SOURCE101} \
#  %{SOURCE102} \
#  %{SOURCE103} \
#  %{SOURCE104} \
#  %{SOURCE105} \
#  %{SOURCE106} \
#  %{SOURCE107} \
#  %{SOURCE108} \
#  %{SOURCE109} \
#  %{SOURCE110} \

# check that backported keymap quirk fdi files are valid
xmllint --noout --dtdvalid $RPM_BUILD_ROOT%{_datadir}/hal/fdi/fdi.dtd \
%{SOURCE150} \
%{SOURCE151} \
%{SOURCE152} \
%{SOURCE153} \
%{SOURCE154} \
%{SOURCE155} \
%{SOURCE160}

# install backported pm-quirk fdi files
cp -f %{SOURCE50} $RPM_BUILD_ROOT%{_datadir}/hal/fdi/information/10freedesktop/
cp -f %{SOURCE51} $RPM_BUILD_ROOT%{_datadir}/hal/fdi/information/10freedesktop/
cp -f %{SOURCE52} $RPM_BUILD_ROOT%{_datadir}/hal/fdi/information/10freedesktop/
cp -f %{SOURCE53} $RPM_BUILD_ROOT%{_datadir}/hal/fdi/information/10freedesktop/
#cp -f %{SOURCE100} $RPM_BUILD_ROOT%{_datadir}/hal/fdi/information/10freedesktop/
#cp -f %{SOURCE101} $RPM_BUILD_ROOT%{_datadir}/hal/fdi/information/10freedesktop/
#cp -f %{SOURCE102} $RPM_BUILD_ROOT%{_datadir}/hal/fdi/information/10freedesktop/
#cp -f %{SOURCE103} $RPM_BUILD_ROOT%{_datadir}/hal/fdi/information/10freedesktop/
#cp -f %{SOURCE104} $RPM_BUILD_ROOT%{_datadir}/hal/fdi/information/10freedesktop/
#cp -f %{SOURCE105} $RPM_BUILD_ROOT%{_datadir}/hal/fdi/information/10freedesktop/
#cp -f %{SOURCE106} $RPM_BUILD_ROOT%{_datadir}/hal/fdi/information/10freedesktop/
#cp -f %{SOURCE107} $RPM_BUILD_ROOT%{_datadir}/hal/fdi/information/10freedesktop/
#cp -f %{SOURCE108} $RPM_BUILD_ROOT%{_datadir}/hal/fdi/information/10freedesktop/
#cp -f %{SOURCE109} $RPM_BUILD_ROOT%{_datadir}/hal/fdi/information/10freedesktop/
#cp -f %{SOURCE110} $RPM_BUILD_ROOT%{_datadir}/hal/fdi/information/10freedesktop/
cp -f %{SOURCE150} $RPM_BUILD_ROOT%{_datadir}/hal/fdi/information/10freedesktop/
cp -f %{SOURCE151} $RPM_BUILD_ROOT%{_datadir}/hal/fdi/information/10freedesktop/
cp -f %{SOURCE152} $RPM_BUILD_ROOT%{_datadir}/hal/fdi/information/10freedesktop/
cp -f %{SOURCE153} $RPM_BUILD_ROOT%{_datadir}/hal/fdi/information/10freedesktop/
cp -f %{SOURCE154} $RPM_BUILD_ROOT%{_datadir}/hal/fdi/information/10freedesktop/
cp -f %{SOURCE155} $RPM_BUILD_ROOT%{_datadir}/hal/fdi/information/10freedesktop/
cp -f %{SOURCE160} $RPM_BUILD_ROOT%{_datadir}/hal/fdi/policy/10osvendor/

desktop-file-install --vendor asianux \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  %{SOURCE2}

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a

%clean
rm -rf %{buildroot}

%pre
# Add the "haldaemon" user
/usr/sbin/useradd -c 'HAL daemon' -u %{hal_user_uid} \
	-s /sbin/nologin -r -d '/' haldaemon 2> /dev/null || :

%post
/sbin/ldconfig
/sbin/chkconfig --add haldaemon

%preun
if [ $1 = 0 ]; then
    service haldaemon stop > /dev/null 2>&1
    /sbin/chkconfig --del haldaemon
fi

%postun
/sbin/ldconfig
#if [ "$1" -ge "1" ]; then
#  service haldaemon condrestart > /dev/null 2>&1
#fi

%triggerpostun -- hal < 0.5.7-3
#remove lingering fstab-sync entries from /etc/fstab
/bin/cp -f /etc/fstab /etc/fstab.hal-save
(IFS="
"; while read line; do echo $line | awk '{print $4}' | grep -q managed || echo $line | grep -q "^#.*fstab-sync" || echo $line; done < /etc/fstab > fstab.replace)

if [ -s fstab.replace ]; then
  /bin/cp -f fstab.replace /etc/fstab
fi

%files
%defattr(-,root,root)
#%doc COPYING ChangeLog NEWS

%dir %{_sysconfdir}/dbus-1/system.d
%{_sysconfdir}/dbus-1/system.d/*

%config %{_sysconfdir}/rc.d/init.d/haldaemon

%dir %{_sysconfdir}/hal
%{_sysconfdir}/hal/*

%{_sbindir}/hald

%{_bindir}/lshal
%{_bindir}/hal-get-property
%{_bindir}/hal-set-property
%{_bindir}/hal-device
%{_bindir}/hal-find-by-capability
%{_bindir}/hal-find-by-property

%{_libexecdir}/*

%{_libdir}/*hal*.so.*

%dir %{_datadir}/hal
%dir %{_datadir}/hal/fdi
%dir %{_datadir}/doc/hal-%{version}
%dir %{_datadir}/doc/hal-%{version}/conf

%dir %{_libdir}/hal/scripts
%dir %{_libdir}/hal/scripts/linux

%{_datadir}/hal/fdi/*
%{_datadir}/locale/*
%{_datadir}/doc/hal-%{version}/conf/*

%{_libdir}/hal/scripts/*
%{_libdir}/hal/scripts/linux/*

%{_sysconfdir}/udev/rules.d/90-hal.rules

%dir %{_localstatedir}/lib/hal

%files devel
%defattr(-,root,root)

#%dir %{_datadir}/gtk-doc/html/hal
#%{_datadir}/gtk-doc/html/hal/*

%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
# TODO: include hal-spec


%files gnome
%defattr(-,root,root)

%dir %{_datadir}/hal/device-manager
%{_datadir}/hal/device-manager/*
%{_bindir}/hal-device-manager
%{_bindir}/hal-setup-keymap
%{_datadir}/applications/*.desktop

%changelog
* Fri Feb 13 2009 Shu Li <shu.li@asianux.com> - 0.5.8.1-38.1%{?dist}
- merge patches to the new package which based on 0.5.8.1-38
- remove option "noexec" in default mount option for Linux(patch100)
- modify Source#2 to hide hal-device-manager from our applications menu
- rename to 99-asianux-storage-policy-fixed-drives.fdi (AX#4100)
- rename to asianux-hal-device-manager.desktop (AX#4100)

* Fri Oct 10 2008 Matthew Garrett <mjg@redhat.com> - 0.5.8.1-38{?dist}
- Add extra nvidia G80+ device IDs
- Resolves: #457333

* Wed Sep 10 2008 Matthew Garrett <mjg@redhat.com> - 0.5.8.1-37{?dist}
- Add nvidia G80+ resume quirk
- Resolves: #457333

* Thu Jul 31 2008 Richard Hughes <rhughes@redhat.com> - 0.5.8.1-36{?dist}
- Add the keymap setkeycode ioctl set code and the quirks from hal-info
  to fix many, many models of laptops.
- Resolves: #442623

* Thu Apr 10 2008 David Zeuthen <davidz@redhat.com> - 0.5.8.1-35{?dist}
- Add some more quirks
- Resolves: #435296

* Mon Mar 31 2008 David Zeuthen <davidz@redhat.com> - 0.5.8.1-34{?dist}
- Add some more quirks
- Resolves: #435290
- Resolves: #435292
- Resolves: #435295
- Resolves: #435296

* Thu Jan 17 2008 David Zeuthen <davidz@redhat.com> - 0.5.8.1-33{?dist}
- Update quirks
- Resolves: #252452

* Wed Jan 02 2008 David Zeuthen <davidz@redhat.com> - 0.5.8.1-32%{?dist}
- Add support for virtual_bus subsystem
- Resolves: #247543

* Wed Jan 02 2008 David Zeuthen <davidz@redhat.com> - 0.5.8.1-31%{?dist}
- Add some more quirks
- Resolves: #252452

* Wed Jan 02 2008 David Zeuthen <davidz@redhat.com> - 0.5.8.1-30%{?dist}
- Turn off the user space cpufreq stuff; it does more harm than good
- Resolves: #354641

* Wed Jan 02 2008 David Zeuthen <davidz@redhat.com> - 0.5.8.1-29%{?dist}
- Fix typo in property name for ccw.availability
- Resolves: #219959

* Wed Jan 02 2008 David Zeuthen <davidz@redhat.com> - 0.5.8.1-28%{?dist}
- Silence errors with lshal
- Resolves: #284461

* Wed Jan 02 2008 David Zeuthen <davidz@redhat.com> - 0.5.8.1-27%{?dist}
- Backport retain privileges patch to avoid relying on haldaemon user
- (slightly mod. upstream commit e3996a7b5fa880657458494ef4a4f99ed6d4fe5e)
- Resolves: #378621

* Tue Oct 16 2007 David Zeuthen <davidz@redhat.com> - 0.5.8.1-26%{?dist}
- Avoid using any PM quirks on select Dell machines with certain videocards
- Resolves: #249373

* Fri Sep 21 2007 David Zeuthen <davidz@redhat.com> - 0.5.8.1-25%{?dist}
- Fix that STR does not turn off backlight on Thinkpad X32
- Resolves: #251544

* Tue Aug 21 2007 David Zeuthen <davidz@redhat.com> - 0.5.8.1-24%{?dist}
- Include Lenovo and IBM suspend/resume quirks
- Resolves: #251496

* Tue Jul  5 2007 David Zeuthen <davidz@redhat.com> - 0.5.8.1-23%{?dist}
- Leave out F7 suspend/resume quirks for now as these F7 specific quirks
  don't work too well on RHEL5
- Resolves: #236907

* Tue Jul  3 2007 David Zeuthen <davidz@redhat.com> - 0.5.8.1-22%{?dist}
- Report primary videocard as system.hardware.primary_video.vendor and
  system.hardware.primary_video.product
  (backport of upstream commit f0552218bb71daa863a62d9ad578810e9f3e24e7)
- Pass --quirk-none to pm-{suspend,hibernate} if the property
  power_management.quirk.none is set
  (backport of upstream commit 3f4580dfe7a5abf3acb1aabf58d03a50cf5137fa)
- Resolves: #236907

* Tue Jun 26 2007 David Zeuthen <davidz@redhat.com> - 0.5.8.1-21%{?dist}
- Avoid recursion to work on systems with lots of LUNS / devices
- Resolves: #218081

* Mon Jun 25 2007 David Zeuthen <davidz@redhat.com> - 0.5.8.1-20%{?dist}
- Update for fine-grained suspend/hibernate support
- Resolves: #236907
- Add support for IBM's EBus
- Resolves: #238626
- Add support for /sys/bus/vio
- Resolves: #241940
- Create lock files with predictable permissions (#241032)

* Thu Dec 14 2006 David Zeuthen <davidz@redhat.com> - 0.5.8.1-19%{?dist}
- Clear files triggering 'machine did not resume properly' when shutting down
- Resolves: #217936

* Wed Dec 13 2006 David Zeuthen <davidz@redhat.com> - 0.5.8.1-18%{?dist}
- Fix leak when driving a UPS
- Resolves: #214211

* Tue Nov 21 2006 David Zeuthen <davidz@redhat.com> - 0.5.8.1-17%{?dist}
- More alignment bug fixes from Doug Chapman <dchapman@redhat.com>
- Resolves: #210079

* Mon Nov 06 2006 David Zeuthen <davidz@redhat.com> - 0.5.8.1-16%{?dist}
- Update patch so /var/lib/hal is created and make package own that dir

* Mon Nov 06 2006 David Zeuthen <davidz@redhat.com> - 0.5.8.1-15%{?dist}
- Actually make the patch apply this time (take two)

* Mon Nov 06 2006 David Zeuthen <davidz@redhat.com> - 0.5.8.1-14%{?dist}
- Actually make the patch apply this time

* Mon Nov 06 2006 David Zeuthen <davidz@redhat.com> - 0.5.8.1-13%{?dist}
- Another version of resume-feedback patch

* Mon Nov 06 2006 David Zeuthen <davidz@redhat.com> - 0.5.8.1-12%{?dist}
- New version of resume-feedback patch

* Mon Nov 06 2006 David Zeuthen <davidz@redhat.com> - 0.5.8.1-11%{?dist}
- Also BR intltool

* Mon Nov 06 2006 David Zeuthen <davidz@redhat.com> - 0.5.8.1-10%{?dist}
- BR some autotools so autoreconf works

* Mon Nov 06 2006 David Zeuthen <davidz@redhat.com> - 0.5.8.1-9%{?dist}
- Fix crasher with new D-Bus release.
- Include bits for allowing g-p-m to give feedback when resume is broken

* Fri Oct 27 2006 David Zeuthen <davidz@redhat.com> - 0.5.8.1-8%{?dist}
- do not mention gtk-doc directories for devel package

* Fri Oct 27 2006 David Zeuthen <davidz@redhat.com> - 0.5.8.1-7%{?dist}
- manually purge gtk-doc output to "fix" #212289

* Fri Oct 27 2006 David Zeuthen <davidz@redhat.com> - 0.5.8.1-6%{?dist}
- new build with gtk-doc enabled

* Fri Oct 27 2006 David Zeuthen <davidz@redhat.com> - 0.5.8.1-5%{?dist}
- fix unaligned access errors (#210079)
- disable gtk-doc in -devel package until doc toolchain is fixed (#212289)

* Wed Oct 04 2006 David Zeuthen <davidz@redhat.com> - 0.5.8.1-4%{?dist}
- Make a patch actually apply

* Wed Oct 04 2006 David Zeuthen <davidz@redhat.com> - 0.5.8.1-3%{?dist}
- Fix whether some PPC boxes can suspend, fixes #208388
- Use /usr/sbin/eject rather than /usr/bin/eject, fixes #208979
- Fix a crasher in partition table probing code, should fix #206669

* Tue Sep 26 2006 David Zeuthen <davidz@redhat.com> - 0.5.8.1-2%{?dist}
- BuildRequire pciutils-devel

* Tue Sep 26 2006 David Zeuthen <davidz@redhat.com> - 0.5.8.1-1%{?dist}
- upgrade to upstream release 0.5.8.1
- helpers have moved to %libdir/hal/scripts
- require gtk-doc instead of Doxygen
- drop upstreamed patches
- patch for correctly detecting FUSE mounts (e.g. ntfs-fuse)
- patch for not crashing on optical drives w/o write capabilities
- include devhelp gtk-doc's for libhal, libhal-storage in -devel package
- Require kernel >= 2.6.17, udev >= 089, libvolume_id >= 089
- Build require libvolume_id-devel >= 089
- Should fix #202316, #206669, #207715, #198573, #206732, #208027

* Wed Aug 30 2006 Matthias Clasen <mclasen@redhat.com> - 0.5.7.1-3%{?dist}
- Add a .desktop file for hal-device-manager

* Wed Jul 26 2006 John (J5) Palmieri <johnp@redhat.com> - 0.5.7.1-2%{?dist}
- Bump and rebuild

* Wed Jul 26 2006 John (J5) Palmieri <johnp@redhat.com> - 0.5.7.1-1
- Point release from upstream that fixes HAL with new kernels
- Up minimum kernel version to 2.6.15

* Mon Jul 24 2006 John (J5) Palmieri <johnp@redhat.com> - 0.5.7-14
- Add patch to handle longer sysfs names
- add dist tag to release

* Tue Jul 18 2006 John (J5) Palmieri <johnp@redhat.com> - 0.5.7-13
- BR dbus-glib-devel
- Fix a deprecated function

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.5.7-12.1
- rebuild

* Sat Jun 10 2006 Matthias Clasen <mclasen@redhat.com> - 0.5.7-12
- Add missing BuildRequires

* Wed May 24 2006 John (J5) Palmieri <johnp@redhat.com> - 0.5.7-11
- Updated autofs fix

* Fri May 19 2006 David Zeuthen <davidz@redhat.com> - 0.5.7-10
- Make PCMCIA card readers work again (#185557)

* Wed May 17 2006 John (J5) Palmieri <johnp@redhat.com> - 0.5.7-9
- Add patch that makes hald not stat nfs and autofs mounts

* Mon May 15 2006 John (J5) Palmieri <johnp@redhat.com> - 0.5.7-8
- Patch from Brian Pepple <bdpepple@ameritech.net> Add BR for dbus-glib

* Mon May 08 2006 John (J5) Palmieri <johnp@redhat.com> - 0.5.7-7
- Removed typo from spec

* Fri May 05 2006 John (J5) Palmieri <johnp@redhat.com> - 0.5.7-6
- Add fix so gnome-power-manager handles lid opens correctly now

* Mon Apr 24 2006 John (J5) Palmieri <johnp@redhat.com> - 0.5.7-5
- ifnarch the pm-utils requires for s390 and s390x

* Wed Apr 19 2006 Matthias Clasen <mclasen@redhat.com> - 0.5.7-4
- Add Requires on pm-utils >= 0.10-1 (#185134, Andrew Overholt)

* Fri Mar 03 2006 John (J5) Palmieri <johnp@redhat.com> - 0.5.7-3
- Fix fstab clearing script to not strip whitespace

* Thu Mar 02 2006 John (J5) Palmieri <johnp@redhat.com> - 0.5.7-2
- clear out fstab of all fstab-sync entries if previous hal < 0.5.7-2

* Fri Feb 24 2006 David Zeuthen <davidz@redhat.com> - 0.5.7-1
- New upstream version 0.5.7 with several bug fixes
- Don't restart hald on package upgrade
- Pull in dmidecode on x86-ish and x86_64 architectures
- Don't let HAL's Mount() method circumvent system policy (#182352)
- Patch to use new pm-utils's new pm-powersave util properly

* Thu Feb 16 2006 Matthias Clasen <mclasen@redhat.com> - 0.5.7-0.cvs20060213.2
- fix directory ownership
- don't ship static libraries

* Mon Feb 13 2006 Jesse Keating <jkeating@redhat.com> - 0.5.7-0.cvs20060213.1.1
- rebump for build order issues during double-long bump

* Mon Feb 13 2006 David Zeuthen <davidz@redhat.com> - 0.5.7-0.cvs20060213.1
- fix build

* Mon Feb 13 2006 David Zeuthen <davidz@redhat.com> - 0.5.7-0.cvs20060213
- Upstream CVS snapshot. Drop a patch that is upstream. Switch to using
  udev rules instead of hotplug helpers for udev->hald channel.

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.5.6-3.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 John (J5) Palmieri <johnp@redhat.com> - 0.5.6-3
- Patch storage-method policy so that the eject method is available
  to audio cd's

* Wed Jan 18 2006 John (J5) Palmieri <johnp@redhat.com> - 0.5.6-2
- Add policy file to ignore fixed disks.  This is a temporary solution
  until upstream comes up with a more flexable option

* Tue Jan 17 2006 John (J5) Palmieri <johnp@redhat.com> - 0.5.6
- New upstream release
- Remove match on capabilities patch (upstream already)

* Wed Jan 11 2006 Christopher Aillon <caillon@redhat.com> - 0.5.5.1.cvs20060111-1
- Update to an even newer CVS snapshot, to fix privelege escalation issue
- Remove mount options patch (upstreamed already)

* Mon Jan 09 2006 John (J5) Palmieri <johnp@redhat.com> - 0.5.5.1.cvs20060109-2
- Add patch to escape mount options

* Mon Jan 09 2006 John (J5) Palmieri <johnp@redhat.com> - 0.5.5.1.cvs20060109-1
- Update to a new CVS snapshot

* Thu Jan 05 2006 John (J5) Palmieri <johnp@redhat.com> - 0.5.5.1.cvs20060105-2
- readd the hotplug script

* Thu Jan 05 2006 John (J5) Palmieri <johnp@redhat.com> - 0.5.5.1.cvs20060105-1
- Build CVS version of HAL which gives us the new mount support
- disable fstab-sync
- scripts have been moved from /usr/sbin to /usr/share/hal/scripts

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com> - 0.5.5.1-2.1
- rebuilt

* Wed Dec 01 2005 John (J5) Palmieri <johnp@redhat.com> - 0.5.5.1-2
- Rebuild for dbus 0.60

* Wed Nov 16 2005 John (J5) Palmieri <johnp@redhat.com> - 0.5.5.1-1
- Update to latest upstream version

* Fri Nov 11 2005 John (J5) Palmieri <johnp@redhat.com> - 0.5.4.cvs2005111-1
- Update to CVS HEAD

* Tue Nov 08 2005 John (J5) Palmieri <johnp@redhat.com> - 0.5.4-4
- Add patch to fix storage policy fdi to match on the storage
  capability and not category.
  
* Mon Oct  3 2005 Matthias Clasen <mclasen@redhat.com>
- Fix a typo in description

* Tue Aug 30 2005 David Zeuthen <davidz@redhat.com> - 0.5.4-3
- Rebuild

* Tue Aug 30 2005 David Zeuthen <davidz@redhat.com> - 0.5.4-2
- Pull in cryptsetup-luks and fix some unpackaged files

* Tue Aug 30 2005 David Zeuthen <davidz@redhat.com> - 0.5.4-1
- Update to upstream release 0.5.4 and drop patches already upstream

* Thu Aug 11 2005 David Zeuthen <davidz@redhat.com> - 0.5.3-4
- Add patch to make libhal-storage report the right fs usage (#165707)

* Tue Aug  9 2005 Jeremy Katz <katzj@redhat.com> - 0.5.3-3
- make kernel version requirement a conflicts instead

* Tue Jul 12 2005 David Zeuthen <davidz@redhat.com> 0.5.3-2
- Fix a minor packaging bug

* Tue Jul 12 2005 David Zeuthen <davidz@redhat.com> 0.5.3-1
- Update to upstream release 0.5.3
- Drop patches as they are upstream

* Mon May 23 2005 David Zeuthen <davidz@redhat.com> 0.5.2-2
- Fix doublefree when locking (#158474)
- Never use the 'sync' mount option (#157674)
- Update the fstab-sync man page (#158483)

* Thu May 12 2005 David Zeuthen <davidz@redhat.com> 0.5.2-1
- Update to upstream release 0.5.2

* Wed Apr 27 2005 David Zeuthen <davidz@redhat.com> 0.5.1-1
- Update to upstream release 0.5.1

* Tue Apr 19 2005 Florian La Roche <laroche@redhat.com>
- exclude usb reqs for mainframe (#154616)

* Mon Apr  4 2005 David Zeuthen <davidz@redhat.com> 0.5.0.cvs20050404b-2
- Rebuild

* Mon Apr  4 2005 David Zeuthen <davidz@redhat.com> 0.5.0.cvs20050404b-1
- Use new upstream tarball rather than patching configure

* Mon Apr  4 2005 David Zeuthen <davidz@redhat.com> 0.5.0.cvs20050404-3
- Add libusb checks to configure.in

* Mon Apr  4 2005 David Zeuthen <davidz@redhat.com> 0.5.0.cvs20050404-2
- Add BuildRequires and Requires for libusb

* Mon Apr  4 2005 David Zeuthen <davidz@redhat.com> 0.5.0.cvs20050404-1
- New snapshot from upstream CVS

* Tue Mar 22 2005 David Zeuthen <davidz@redhat.com> 0.5.0.cvs20050322b-1
- Another new snapshot from upstream CVS

* Tue Mar 22 2005 David Zeuthen <davidz@redhat.com> 0.5.0.cvs20050322-1
- New snapshot from upstream CVS

* Fri Mar 18 2005 David Zeuthen <davidz@redhat.com> 0.5.0.cvs20050318-1
- Snapshot from upstream CVS; should fix selinux labeling problems
  for /etc/fstab entries

* Thu Mar 10 2005 David Zeuthen <davidz@redhat.com> 0.5.0.cvs20050310-1
- Snapshot from CVS; should fix ACPI issues reported on f-d-l

* Tue Mar  8 2005 David Zeuthen <davidz@redhat.com> 0.5.0-3
- Rebuild

* Mon Mar  7 2005 David Zeuthen <davidz@redhat.com> 0.5.0-2
- Update to upstream release 0.5.0

* Thu Jan 27 2005 David Zeuthen <davidz@redhat.com> 0.4.7-2
- Add patch that should close #146316

* Mon Jan 24 2005 David Zeuthen <davidz@redhat.com> 0.4.7-1
- New upstream release.
- Should close #145921, #145750, #145293, #145256

* Mon Jan 24 2005 John (J5) Palmieri <johnp@redhat.com> 0.4.6-3
- Update required dbus version to 0.23 

* Thu Jan 20 2005 David Zeuthen <davidz@redhat.com> 0.4.6-2
- Fix parameters to configure

* Thu Jan 20 2005 David Zeuthen <davidz@redhat.com> 0.4.6-1
- New upstream release
- Should close #145099, #144600, #140150, #145223, #137672

* Wed Jan 12 2005 David Zeuthen <davidz@redhat.com> 0.4.5-1
- New upstream release.
- Should close #142834, #141771, #142183

* Fri Dec 12 2004 David Zeuthen <davidz@redhat.com> 0.4.2.cvs20041210-1
- Snapshot from stable branch of upstream CVS

* Tue Oct 26 2004 David Zeuthen <davidz@redhat.com> 0.4.0-8
- Forgot to add some diffs in hal-0.4.0-pcmcia-net-support.patch

* Tue Oct 26 2004 David Zeuthen <davidz@redhat.com> 0.4.0-7
- Change default policy such that non-hotpluggable fixed disks are not
  added to the /etc/fstab file because a) ATARAID detection in hal is
  incomplete (e.g. RAID members from ATARAID controllers might be added
  to /etc/fstab); and b) default install wont corrupt multiboot 
  systems on fixed drives (#137072)

* Tue Oct 26 2004 David Zeuthen <davidz@redhat.com> 0.4.0-6
- Fix hotplug timeout handling (#136626)
- Detect ATARAID devices and do not add /etc/fstab entry for them
- Probe for ext3 before ntfs (#136966)
- Use fstype 'auto' for optical drives instead of 'iso9660,udf'
- Properly detect wireless ethernet devices  (#136591)
- Support 16-bit PCMCIA networking devices (by Dan Williams) (#136658)

* Tue Oct 19 2004 David Zeuthen <davidz@redhat.com> 0.4.0-5
- Make hal work with PCMCIA IDE hotpluggable devices (#133943)
- Fixup URL listed from rpm -qi (#136396)
- Add Portuguese translations for hal
- Fix addition of Russian and Hungarian translations

* Mon Oct 18 2004 David Zeuthen <davidz@redhat.com> 0.4.0-4
- Make hald cope with missing hotplug events from buggy drivers (#135202)
- Fix the order of mount options in fstab-sync (#136191)
- Allow x86 legacy floppy drives in default policy (#133777)
- Fix fstab-sync crashing without any options and not run from hald (#136214)
- man page for fstab-sync references non-existing files (#136026)
- Add Russian translations for hal (#135853)
- Add Hungarian translations for hal

* Fri Oct 15 2004 David Zeuthen <davidz@redhat.com> 0.4.0-3
- Fix bad use of O_NONBLOCK as the 2.6.8-1.624 kernel exposes this (#135886)
- Never use the UUID as mount point candidate in the default policy 
  as it is unfriendly (#135907)
- Fix a trivial bug in fstab-sync so the syslog messages actually expose
  the device name instead of just the word foo

* Thu Oct 14 2004 David Zeuthen <davidz@redhat.com> 0.4.0-2
- Fix issue with fstab-sync not cleaning /etc/fstab on startup

* Thu Oct 14 2004 David Zeuthen <davidz@redhat.com> 0.4.0-1
- Update to upstream stable version 0.4.0
- Remove patch for libhal shutdown since that is now upstream
- fstab-sync: man page, adds comment in /etc/fstab pointing to man page

* Fri Oct 01 2004 David Zeuthen <davidz@redhat.com> 0.2.98.cvs20040929-3
- Fix a bug so libhal actually invoke callback functions when needed

* Fri Oct 01 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.98.cvs20040929-2
- Use "user" mount flag for now until "pamconsole" flag gets into mount

* Wed Sep 29 2004 David Zeuthen <davidz@redhat.com> 0.2.98.cvs20040929-1
- Update to upstream CVS version
- Enable libselinux again

* Mon Sep 27 2004 David Zeuthen <davidz@redhat.com> 0.2.98.cvs20040927-1
- Update to upstream CVS version

* Fri Sep 24 2004 David Zeuthen <davidz@redhat.com> 0.2.98.cvs20040923-1
- Update to upstream CVS release
- Include libhal-storage library
- Should close bug #132876

* Mon Sep 20 2004 David Zeuthen <davidz@redhat.com> 0.2.98-4
- Rebuilt

* Mon Sep 20 2004 David Zeuthen <davidz@redhat.com> 0.2.98-3
- Rebuilt

* Mon Sep 20 2004 David Zeuthen <davidz@redhat.com> 0.2.98-2
- Temporarily disable explicit requirement for libselinux

* Mon Sep 20 2004 David Zeuthen <davidz@redhat.com> 0.2.98-1
- Update to upstream release 0.2.98. 
- Use --with-pid-file so we don't depend on /etc/redhat-release

* Wed Sep 01 2004 David Zeuthen <davidz@redhat.com> 0.2.97.cvs20040901-1
- Update to upstream CVS HEAD

* Tue Aug 31 2004 David Zeuthen <davidz@redhat.com> 0.2.97.cvs20040831-3
- Add UID for haldaemon user

* Tue Aug 31 2004 David Zeuthen <davidz@redhat.com> 0.2.97.cvs20040831-2
- Rebuilt with a newer snapshot.

* Fri Aug 27 2004 David Zeuthen <davidz@redhat.com> 0.2.97.cvs20040827-3
- Rebuilt

* Fri Aug 27 2004 David Zeuthen <davidz@redhat.com> 0.2.97.cvs20040827-2
- Rebuilt
- Closes RH Bug #130971

* Fri Aug 27 2004 David Zeuthen <davidz@redhat.com> 0.2.97.cvs20040827-1
- Update to upstream CVS HEAD. 
- Should close RH Bug #130588

* Wed Aug 25 2004 David Zeuthen <davidz@redhat.com> 0.2.97.cvs20040823-3
- Rebuilt

* Wed Aug 25 2004 David Zeuthen <davidz@redhat.com> 0.2.97.cvs20040823-2
- Apply a patch so hald doesn't hang on startup.

* Mon Aug 23 2004 David Zeuthen <davidz@redhat.com> 0.2.97.cvs20040823-1
- Update to upstream CVS HEAD
- Remove symlinking of fstab-sync from specfile since this is now being
  done in the package

* Mon Aug 23 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- change the %%define names to not use "-"

* Thu Aug 19 2004 David Zeuthen <davidz@redhat.com> 0.2.97.cvs20040819-1
- Update to upstream CVS HEAD
- Remove suid patch as it is fixed upstream
- Fix some dependency issues (RH Bug #130202)

* Wed Aug 18 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.97-2
- Add stopgap patch to remove suid from mount flags (RH Bug #130290)

* Mon Aug 16 2004 David Zeuthen <davidz@redhat.com> 0.2.97-1
- update to upstream release 0.2.97
- use kudzu option in fstab-sync since updfstab is now disabled

* Thu Aug 12 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.96-2
- fixed Requires lines to use %{} instead of ${}
- made dbus related requires lines use the = condition instead of =<
  because the dbus API is still in flux

* Thu Aug 12 2004 David Zeuthen <davidz@redhat.com> 0.2.96
- Update to upstream release 0.2.96
- Symlink fstab-sync into /etc/hal/device.d on install

* Fri Aug 06 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.95.cvs20040802-2
- Base hal package no longer requires python

* Mon Aug 02 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.95.cvs20040802-1
- Update to CVS head
- Remove Dan's patches as they were commited to CVS

* Fri Jul 30 2004 Dan Williams <dcbw@redhat.com> 0.2.93.cvs.20040712-2
- Fix netlink sockets pointer arithmetic bug

* Mon Jul 12 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.93.cvs.20040712-1
- Update to new CVS version as of 7-12-2004

* Fri Jun 25 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.92.cvs.20040611-2
- take out fstab-update.sh from install
- add to rawhide
 
* Fri Jun 11 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.92.cvs.20040611-1 
- update to CVS head as of 6-11-2004 which contains dcbw's 
  network link status fix 

* Wed Jun 9 2004 Ray Strode <rstrode@redhat.com> 0.2.91.cvs20040527-2
- added dependency on udev

* Wed May 12 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.91.cvs20040527-1
- update to CVS head as of 5-27-2004 which contains fixes for PCMCIA
  and wireless network devices.

* Wed May 12 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.90.cvs20040511-3
- added hal-0.2.90.cvs20040511.callbackscripts.patch which installs 
  the file system mounting script in /etc/hal/device.d

* Wed May 12 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.90.cvs20040511-2
- added the %{_sysconfigdir}/hal directory tree to %files 

* Tue May 11 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.90.cvs20040511-1
- update to CVS head as of 5-11-2004

* Wed May 5 2004 Christopher Blizzard <blizzard@redhat.com> 0.2.90-2
- Install hal.dev from /etc/dev.d/default/

* Mon Apr 19 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.90-1
- upstream update

* Mon Apr 19 2004 John (J5) Palmieri <johnp@redhat.com> 0.2-1 
- initial checkin to package repository
- added dependency to the dbus-python package
- added %{_libexecdir}/hal.dev to teh %files section
